Loading...
Searching...
No Matches
casacore::TableExprGroupKey Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <ExprGroup.h>`

## Public Member Functions

| TableExprGroupKey (TableExprNodeRep::NodeDataType dtype)
| Construct for a given data type.
TableExprNodeRep::NodeDataType | dataType () const
| Get the data type.
void | set (Bool v)
| Set the key's value.
void | set (Int64 v)
void | set (Double v)
void | set (const String &v)
bool | operator== (const TableExprGroupKey &) const
| Compare this and that key.
bool | operator< (const TableExprGroupKey &) const

## Private Attributes

TableExprNodeRep::NodeDataType | itsDT
Bool | itsBool
Int64 | itsInt64
Double | itsDouble
String | itsString

## Detailed Description

Class representing a key in the groupby clause.

### Intended use:

Internal

### Review Status

Test programs:
  tTableGram

### Synopsis

The GROUPBY clause consists of one or more keys, each being a scalar TaQL expression with an arbitrary data type. This class contains the value of a key for a particular table row. It is part of a TableExprGroupKeySet object.

Definition at line 50 of file ExprGroup.h.

## Constructor & Destructor Documentation

## TableExprGroupKey()

casacore::TableExprGroupKey::TableExprGroupKey | ( | TableExprNodeRep::NodeDataType | dtype | ) |

inline explicit

Construct for a given data type.

Definition at line 54 of file ExprGroup.h.

References itsDT.

Referenced by operator<(), and operator==().

## Member Function Documentation

## dataType()

TableExprNodeRep::NodeDataType casacore::TableExprGroupKey::dataType | ( |  | ) | const

inline

Get the data type.

Definition at line 59 of file ExprGroup.h.

References itsDT.

## operator<()

bool casacore::TableExprGroupKey::operator< | ( | const TableExprGroupKey & |  | ) | const

References TableExprGroupKey().

## operator==()

bool casacore::TableExprGroupKey::operator== | ( | const TableExprGroupKey & |  | ) | const

Compare this and that key.

References TableExprGroupKey().

## set() [1/4]

void casacore::TableExprGroupKey::set | ( | Bool | v | ) |

inline

Set the key's value.

Definition at line 64 of file ExprGroup.h.

References itsBool.

## set() [2/4]

void casacore::TableExprGroupKey::set | ( | const String & | v | ) |

inline

Definition at line 70 of file ExprGroup.h.

References itsString.

## set() [3/4]

void casacore::TableExprGroupKey::set | ( | Double | v | ) |

inline

Definition at line 68 of file ExprGroup.h.

References itsDouble.

## set() [4/4]

void casacore::TableExprGroupKey::set | ( | Int64 | v | ) |

inline

Definition at line 66 of file ExprGroup.h.

References itsInt64.

## Member Data Documentation

## itsBool

Bool casacore::TableExprGroupKey::itsBool

private

Definition at line 82 of file ExprGroup.h.

Referenced by set().

## itsDouble

Double casacore::TableExprGroupKey::itsDouble

private

Definition at line 84 of file ExprGroup.h.

Referenced by set().

## itsDT

TableExprNodeRep::NodeDataType casacore::TableExprGroupKey::itsDT

private

Definition at line 81 of file ExprGroup.h.

Referenced by dataType(), and TableExprGroupKey().

## itsInt64

Int64 casacore::TableExprGroupKey::itsInt64

private

Definition at line 83 of file ExprGroup.h.

Referenced by set().

## itsString

String casacore::TableExprGroupKey::itsString

private

Definition at line 85 of file ExprGroup.h.

Referenced by set().

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroup.h